<form [formGroup]="form">
  <mat-form-field>
    <mat-label>Сортування:</mat-label>
    <mat-select formControlName="sortingValue">
      <mat-option
        *ngFor="let option of sortingOptions; trackBy: trackByFn"
        [value]="option | generateFormValue">
        {{ option.label }}
      </mat-option>
    </mat-select>
  </mat-form-field>
</form>
